type InputTextTypes = WrapperTypes & {
    name: string;
    placeholder?: string;
};
export declare function InputText({ name, placeholder, title, cols }: InputTextTypes): import("react/jsx-runtime").JSX.Element;
type InputRadioTypes = WrapperTypes & {
    options: {
        text: string;
        value: string;
        checked?: boolean;
    }[];
    name: string;
};
export declare function InputRadio({ cols, title, options, ...props }: InputRadioTypes): import("react/jsx-runtime").JSX.Element;
type InputPasswordTypes = WrapperTypes & {
    name: string;
    placeholder?: string;
};
export declare function InputPassword({ name, title, placeholder, cols, }: InputPasswordTypes): import("react/jsx-runtime").JSX.Element;
type InputSelectTypes = WrapperTypes & {
    name: string;
    placeholder?: string;
    options: {
        text: string;
        value: string;
    }[];
};
export declare function InputSelect({ title, name, placeholder, cols, options, }: InputSelectTypes): import("react/jsx-runtime").JSX.Element;
type InputTextareaTypes = WrapperTypes & {
    name: string;
    placeholder?: string;
    classInput?: string;
};
export declare function InputTextarea({ title, name, placeholder, cols, classInput, }: InputTextareaTypes): import("react/jsx-runtime").JSX.Element;
type InputFileTypes = WrapperTypes & {
    name: string;
    placeholder?: string;
    accept?: string;
};
export declare function InputFile({ title, name, placeholder, accept, cols, }: InputFileTypes): import("react/jsx-runtime").JSX.Element;
type WrapperTypes = {
    title: string;
    cols?: 1 | 2 | "1" | "2";
};
export {};
