import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { cls } from "../lib/utils";
import { faBars } from "@fortawesome/free-solid-svg-icons";
import { useRef, useState } from "react";
export default function Header({ children, className = "", isOpen = true, togleOpen, src = "", title = "Ideasoft Panel", username = "", }) {
    return (_jsx(_Fragment, { children: _jsxs("header", { className: cls("sticky z-40 top-0 col-span-2 flex justify-between h-[--header-h] min-h-[--header-h] bg-[--c1-bg]", className), style: {
                boxShadow: "0 4px 10px 0 rgba(0, 0, 0, 0.4)",
            }, children: [_jsxs("div", { className: "flex", children: [_jsxs("div", { className: cls("relative flex justify-center items-center w-[--sidebar-w] max-w-full h-full bg-[--c1-bg] text-[--c2-txt] overflow-hidden", "transition-[max-width] duration-100", {
                                "md:max-w-[--sidebar-w-close]": !isOpen,
                                "max-w-0": !isOpen,
                            }), children: [_jsx("div", { className: "absolute z-10 inset-0 bg-black/10" }), _jsx("h1", { className: "relative z-10 block text-nowrap text-ellipsis overflow-hidden text-base md:text-xl px-1", children: title })] }), _jsxs("button", { className: "group/button relative flex justify-center items-center h-full aspect-square outline-none", onClick: togleOpen, children: [_jsx("div", { className: "absolute z-10 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2 w-0 h-0 opacity-0 rounded-full bg-black/10 group-hover/button:w-full transition-[width,height,opacity,rounded] duration-200 group-hover/button:h-full group-hover/button:opacity-100 group-hover/button:rounded-sm" }), _jsx(FontAwesomeIcon, { icon: faBars, className: "text-lg text-[--c1-txt]" })] })] }), _jsx(Options, { headerIsOpen: isOpen, src: src, username: username, children: children })] }) }));
}
function Options({ children, headerIsOpen, src, username }) {
    let _username = username.split(" ");
    if (_username.length > 2)
        _username = _username.slice(0, 2).join(" ") + "...";
    else
        _username = _username.join(" ");
    const [isOpen, setIsOpen] = useState(false);
    const optionsRef = useRef(null);
    document.addEventListener("click", (e) => {
        if (optionsRef.current && !optionsRef.current.contains(e.target))
            setIsOpen(false);
    });
    return (_jsxs("div", { className: "relative flex sm:mr-2", ref: optionsRef, children: [_jsx("div", { className: "h-full", children: _jsxs("button", { className: "group/button relative flex items-center gap-2 h-full text-[--c1-txt] p-2", onClick: () => setIsOpen(!isOpen), children: [_jsx("div", { className: "absolute z-10 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2 w-0 h-0 opacity-0 rounded-full bg-black/10 group-hover/button:w-full transition-[width,height,opacity,rounded] duration-200 group-hover/button:h-full group-hover/button:opacity-100 group-hover/button:rounded-sm" }), _jsx("h3", { className: cls("text-base text-nowrap overflow-hidden transition-all duration-200 delay-200", {
                                "w-0 sm:w-auto": headerIsOpen,
                            }), children: _username }), _jsx("div", { className: "h-full aspect-square rounded-full overflow-hidden ", children: _jsx("img", { src: src, className: "w-full h-full object-cover" }) })] }) }), _jsxs("div", { className: cls("absolute z-20 top-full right-0 flex flex-col w-dvw max-w-48 bg-[--c2-bg] rounded-b-lg py-2 px-3 overflow-hidden transition-all duration-200", {
                    "max-h-0 py-0": !isOpen,
                }), children: [_jsx("h1", { className: "text-[--c2-txt] font-bold text-center text-base my-2", children: "Opciones de Perfil" }), _jsx("div", { className: "relative flex flex-col gap-2 text-[--c2-txt]", children: children })] })] }));
}
