import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useLocation } from "react-router-dom";
import { cls } from "../lib/utils";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
export default function SidebarOption({ path = "", name, icon = null, Tag = DefaultTag, isOpen = true, ...props }) {
    let isActive = useLocation().pathname == path;
    return (_jsxs(Tag, { className: cls("relative group/button flex items-center justify-start p-2 w-full min-h-[--sidebar-w-close] h-[--sidebar-w-close] gap-3 text-center text-[--c2-txt] cursor-pointer rounded-sm transition-all duration-300 overflow-hidden text-base", {
            "w-auto aspect-square gap-0 delay-0": !isOpen,
        }), href: props.href || path, to: props.to || path, ...props, children: [_jsx("div", { className: cls("absolute top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2 w-0 h-0 opacity-0 bg-[--c1-bg] rounded-sm transition-[width,height,opacity] duration-200 group-hover/button:w-full group-hover/button:h-full group-hover/button:opacity-100", {
                    "w-full h-full opacity-50 group-hover/button:opacity-50": isActive,
                }) }), icon && (_jsx("div", { className: "flex justify-center items-center w-5 aspect-square", children: _jsx(FontAwesomeIcon, { icon: icon, className: "relative z-10" }) })), _jsx("span", { className: cls("relative z-10 block transition-[max-width] max-w-full max-h-full duration-200 overflow-hidden text-nowrap text-ellipsis", {
                    "max-w-0": !isOpen,
                }), children: name })] }));
}
const DefaultTag = ({ children, ...props }) => _jsx("a", { ...props, children: children });
